Package org.bukkit.block.data.type

# Interface Tripwire

All Superinterfaces:
  `Attachable`, `BlockData`, `Cloneable`, `MultipleFacing`, `Powerable`

public interface Tripwire extends Attachable, MultipleFacing, Powerable
'disarmed' denotes that the tripwire was broken with shears and will not subsequently produce a current when destroyed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isDisarmed()`
Gets the value of the 'disarmed' property.
`void`
`setDisarmed(boolean disarmed)`
Sets the value of the 'disarmed' property.

### Methods inherited from interface org.bukkit.block.data.Attachable

`isAttached, setAttached`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.MultipleFacing

`getAllowedFaces, getFaces, hasFace, setFace`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`

## Method Details

### isDisarmed

boolean isDisarmed()
Gets the value of the 'disarmed' property.

Returns:
  the 'disarmed' value

### setDisarmed

void setDisarmed(boolean disarmed)
Sets the value of the 'disarmed' property.

Parameters:
  `disarmed` - the new 'disarmed' value